Package org.eclipse.birt.report.engine.extension

# Interface IBaseResultSet

All Known Subinterfaces:
  `ICubeResultSet`, `IQueryResultSet`

public interface IBaseResultSet

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CUBE_RESULTSET`
`static final int`
`QUERY_RESULTSET`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`Object`
`evaluate(String expr)`
`Object`
`evaluate(String language, String expr)`
evaluate the expression with specified script language.
`Object`
`evaluate(org.eclipse.birt.data.engine.api.IBaseExpression expr)`
`DataSetID`
`getID()`
`IBaseResultSet`
`getParent()`
`org.eclipse.birt.data.engine.api.IBaseQueryResults`
`getQueryResults()`
`String`
`getRawID()`
return the Raw ID
`int`
`getType()`

## Field Details

### QUERY_RESULTSET

static final int QUERY_RESULTSET

See Also:
  - Constant Field Values

### CUBE_RESULTSET

static final int CUBE_RESULTSET

See Also:
  - Constant Field Values

## Method Details

### getType

int getType()

### getQueryResults

org.eclipse.birt.data.engine.api.IBaseQueryResults getQueryResults()

### getRawID

String getRawID() throws org.eclipse.birt.core.exception.BirtException
return the Raw ID

Returns:
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### getID

DataSetID getID()

### getParent

IBaseResultSet getParent()

### evaluate

Object evaluate(String expr) throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`

### evaluate

Object evaluate(String language, String expr) throws org.eclipse.birt.core.exception.BirtException
evaluate the expression with specified script language.

Parameters:
  `language` -
  `expr` -
Returns:
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### evaluate

Object evaluate(org.eclipse.birt.data.engine.api.IBaseExpression expr) throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`

### close

void close()